# CreateDatabaseParam.Builder

Package io.milvus.param.collection

## Class CreateDatabaseParam.Builder

- java.lang.Object
- - io.milvus.param.collection.CreateDatabaseParam.Builder

Enclosing class:
  CreateDatabaseParam

    public static final class CreateDatabaseParam.Builder
    extends java.lang.Object

Builder for `CreateDatabaseParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateDatabaseParam` `build()` Verifies parameters and creates a new `CreateDatabaseParam` instance.
`CreateDatabaseParam.Builder` `withDatabaseName​(@NonNull java.lang.String databaseName)` Sets the database name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withDatabaseName

    public CreateDatabaseParam.Builder withDatabaseName​(@NonNull
                                                        @NonNull java.lang.String databaseName)

Sets the database name. Database name cannot be empty or null.

Parameters:
  `databaseName` - database name
Returns:
  `Builder`

#### build

    public CreateDatabaseParam build()
                              throws ParamException

Verifies parameters and creates a new `CreateDatabaseParam` instance.

Returns:
  `CreateDatabaseParam`
Throws:
  `ParamException`